FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::runtime::io::ConnectionState Struct Reference
Inheritance diagram for Fortran::runtime::io::ConnectionState:

## Public Member Functions
bool | IsAtEOF () const
std::size_t | RemainingSpaceInRecord () const
void | HandleAbsolutePosition (std::int64_t)
void | HandleRelativePosition (std::int64_t)
void | BeginRecord ()

## Public Attributes
std::int64_t | currentRecordNumber {1}
std::int64_t | positionInRecord {0}
std::int64_t | furthestPositionInRecord {0}
bool | nonAdvancing {false}
std::optional< std::int64_t > | leftTabLimit
std::optional< std::int64_t > | endfileRecordNumber
MutableModes | modes
Public Attributes inherited from Fortran::runtime::io::ConnectionAttributes
Access | access {Access::Sequential}
bool | isUnformatted {false}
bool | isUTF8 {false}
bool | isFixedRecordLength {false}
std::optional< std::int64_t > | recordLength

The documentation for this struct was generated from the following files:

- runtime/connection.h
- runtime/connection.cpp